DeluxHostAPI Reference
Storage users

Update a storage user

PATCH
/v1/services/{orderId}/storage/subusers/{username}

Authorization

apiToken storage:subusers:write
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: storage:subusers:write

Path Parameters

orderId*number
username*string

Request Body

application/json
  1. body
label*string
path*string
readOnly*boolean
enabled*boolean

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
username*string
label*string
path*string
readOnly*boolean
enabled*boolean
curl -X PATCH 'https://api.deluxhost.net/v1/services/0/storage/subusers/string' \  -H "Authorization: Bearer $DELUXHOST_TOKEN" \  -H 'Content-Type: application/json' \  -d '{  "label": "string",  "path": "string",  "readOnly": true,  "enabled": true}'
Example Response
{  "username": "string",  "label": "string",  "path": "string",  "readOnly": true,  "enabled": true}